Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1396761 - Review Request: rofi - A window switcher, run dialog and dmenu replacement [NEEDINFO]
Summary: Review Request: rofi - A window switcher, run dialog and dmenu replacement
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Till Hofmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1277260 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2016-11-19 22:16 UTC by Igor Gnatenko
Modified: 2018-11-01 19:11 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1277260
Environment:
Last Closed: 2018-07-20 08:39:11 UTC
opensource: fedora-review?
vashirov: needinfo? (i.gnatenko.brain)


Attachments (Terms of Use)

Description Igor Gnatenko 2016-11-19 22:16:41 UTC
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/region51/rofi/rofi.git/plain/rofi.spec?id=1523dd3c64b16df67724ce89e19ba0f194c34006
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/region51/rofi/fedora-rawhide-x86_64/00175931-rofi/rofi-1.0.0-1.fc25.src.rpm
Description: A popup window switcher roughly based on superswitcher, requiring only xlib and pango.
Fedora Account System Username: ignatenkobrain

Comment 1 Igor Gnatenko 2016-11-19 22:16:56 UTC
*** Bug 1277260 has been marked as a duplicate of this bug. ***

Comment 2 Till Maas 2016-11-20 09:12:38 UTC
- The SRPM URL does not work, the rofi directory does not exist at https://copr-be.cloud.fedoraproject.org/results/region51/
- It would be better to use %{_mandir}/man1/%{name}.1* instead of %{_mandir}/man1/%{name}.1.* as a pattern for the manpage to make it also work if manpages are not compressed.

Comment 3 Till Maas 2016-11-20 09:14:54 UTC
Also there is a newer upstream release: 1.2.0

And the upstream page says it needs a new maintainer :-(

Comment 4 Igor Gnatenko 2016-11-20 09:33:45 UTC
SPEC: https://ignatenkobrain.fedorapeople.org/for-review/rofi.spec
SRPM: https://ignatenkobrain.fedorapeople.org/for-review/rofi-1.2.0-1.fc26.src.rpm

Fixed all above and updated to 1.2.0. Also fixed couple of rpmlint complaints.

Comment 5 Till Maas 2016-12-11 10:29:47 UTC
I found three issues but they should be easy to fix AFAICS.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- There seeem to be tests in the directory test, but there is no %check section.
- The executable bit should be removed:
rofi.x86_64: W: spurious-executable-perm /usr/share/doc/rofi/Examples/i3_switch_workspaces.sh
- The rofi-sensible-terminal script contains a public domain header, this is
  not mentioned in the License:-tag in the spec file (add "and Public Domain")


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
[X]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[X]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[X]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[X]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[X]: Package contains systemd file(s) if in need.
[X]: Useful -debuginfo package or justification otherwise.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rofi-1.2.0-1.fc24.x86_64.rpm
          rofi-debuginfo-1.2.0-1.fc24.x86_64.rpm
          rofi-1.2.0-1.fc24.src.rpm
rofi.x86_64: W: spelling-error Summary(en_US) dmenu -> menu, d menu, madmen
rofi.x86_64: W: spelling-error %description -l en_US popup -> pop up, pop-up, popular
rofi.x86_64: W: spelling-error %description -l en_US superswitcher -> super switcher, super-switcher, switcher
rofi.x86_64: W: spelling-error %description -l en_US xlib -> lib, glib, x lib
rofi.x86_64: W: spelling-error %description -l en_US pango -> pang, pangs, panto
rofi.x86_64: W: spurious-executable-perm /usr/share/doc/rofi/Examples/i3_switch_workspaces.sh
rofi.src: W: spelling-error Summary(en_US) dmenu -> menu, d menu, madmen
rofi.src: W: spelling-error %description -l en_US popup -> pop up, pop-up, popular
rofi.src: W: spelling-error %description -l en_US superswitcher -> super switcher, super-switcher, switcher
rofi.src: W: spelling-error %description -l en_US xlib -> lib, glib, x lib
rofi.src: W: spelling-error %description -l en_US pango -> pang, pangs, panto
3 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (debuginfo)
-------------------
Checking: rofi-debuginfo-1.2.0-1.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
rofi.x86_64: W: spelling-error Summary(en_US) dmenu -> menu, d menu, madmen
rofi.x86_64: W: spelling-error %description -l en_US popup -> pop up, pop-up, popular
rofi.x86_64: W: spelling-error %description -l en_US superswitcher -> super switcher, super-switcher, switcher
rofi.x86_64: W: spelling-error %description -l en_US xlib -> lib, glib, x lib
rofi.x86_64: W: spelling-error %description -l en_US pango -> pang, pangs, panto
rofi.x86_64: W: spurious-executable-perm /usr/share/doc/rofi/Examples/i3_switch_workspaces.sh
2 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
rofi (rpmlib, GLIBC filtered):
    /bin/bash
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libstartup-notification-1.so.0()(64bit)
    libxcb-ewmh.so.2()(64bit)
    libxcb-icccm.so.4()(64bit)
    libxcb-render.so.0()(64bit)
    libxcb-util.so.1()(64bit)
    libxcb-xinerama.so.0()(64bit)
    libxcb-xkb.so.1()(64bit)
    libxcb-xrm.so.0()(64bit)
    libxcb.so.1()(64bit)
    libxkbcommon-x11.so.0()(64bit)
    libxkbcommon-x11.so.0(V_0.5.0)(64bit)
    libxkbcommon.so.0()(64bit)
    libxkbcommon.so.0(V_0.5.0)(64bit)
    rtld(GNU_HASH)

rofi-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
rofi:
    rofi
    rofi(x86-64)

rofi-debuginfo:
    rofi-debuginfo
    rofi-debuginfo(x86-64)



Source checksums
----------------
https://github.com/DaveDavenport/rofi/releases/download/1.2.0/rofi-1.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : da2630e03e319e74fb4ee9594b587f8a5aff43062e8ef3fc689d4bb47310ee7e
  CHECKSUM(SHA256) upstream package : da2630e03e319e74fb4ee9594b587f8a5aff43062e8ef3fc689d4bb47310ee7e


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1396761
Buildroot used: fedora-24-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Till Maas 2017-08-02 15:44:59 UTC
Sorry for the delay on my side this time :-/

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
Unfortunately there are still some issues: :-/
- The guidelines now seemt to require an outline for the licenses
- The checks are ignored instead and the upstream bug is closed
- The timestamps of the files modified in %prep are not preserved


===== MUST items =====

C/C++:
[X]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
Please add a comment like:
# MIT: rofi
# Public Domain: rofi-sensible-terminal rofi-theme-selector

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rofi-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
The tests are ignored and the upstream bug reporst is closed due to inactivity

[!]: Packages should try to preserve timestamps of original installed
     files.
%prep changes files without preserving the timestamps

[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rofi-1.3.1-1.fc24.x86_64.rpm
          rofi-debuginfo-1.3.1-1.fc24.x86_64.rpm
          rofi-1.3.1-1.fc24.src.rpm
rofi.x86_64: W: spelling-error Summary(en_US) dmenu -> menu, d menu, madmen
rofi.x86_64: W: spelling-error %description -l en_US popup -> pop up, pop-up, popular
rofi.x86_64: W: spelling-error %description -l en_US superswitcher -> super switcher, super-switcher, switcher
rofi.x86_64: W: spelling-error %description -l en_US xlib -> lib, glib, x lib
rofi.x86_64: W: spelling-error %description -l en_US pango -> pang, pangs, panto
rofi.x86_64: W: no-manual-page-for-binary rofi-theme-selector
rofi.src: W: spelling-error Summary(en_US) dmenu -> menu, d menu, madmen
rofi.src: W: spelling-error %description -l en_US popup -> pop up, pop-up, popular
rofi.src: W: spelling-error %description -l en_US superswitcher -> super switcher, super-switcher, switcher
rofi.src: W: spelling-error %description -l en_US xlib -> lib, glib, x lib
rofi.src: W: spelling-error %description -l en_US pango -> pang, pangs, panto
3 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (debuginfo)
-------------------
Checking: rofi-debuginfo-1.3.1-1.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
rofi.x86_64: W: spelling-error Summary(en_US) dmenu -> menu, d menu, madmen
rofi.x86_64: W: spelling-error %description -l en_US popup -> pop up, pop-up, popular
rofi.x86_64: W: spelling-error %description -l en_US superswitcher -> super switcher, super-switcher, switcher
rofi.x86_64: W: spelling-error %description -l en_US xlib -> lib, glib, x lib
rofi.x86_64: W: spelling-error %description -l en_US pango -> pang, pangs, panto
rofi.x86_64: W: no-manual-page-for-binary rofi-theme-selector
2 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
rofi (rpmlib, GLIBC filtered):
    /bin/bash
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libstartup-notification-1.so.0()(64bit)
    libxcb-ewmh.so.2()(64bit)
    libxcb-icccm.so.4()(64bit)
    libxcb-randr.so.0()(64bit)
    libxcb-render.so.0()(64bit)
    libxcb-util.so.1()(64bit)
    libxcb-xinerama.so.0()(64bit)
    libxcb-xkb.so.1()(64bit)
    libxcb-xrm.so.0()(64bit)
    libxcb.so.1()(64bit)
    libxkbcommon-x11.so.0()(64bit)
    libxkbcommon-x11.so.0(V_0.5.0)(64bit)
    libxkbcommon.so.0()(64bit)
    libxkbcommon.so.0(V_0.5.0)(64bit)
    rtld(GNU_HASH)

rofi-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
rofi:
    rofi
    rofi(x86-64)

rofi-debuginfo:
    rofi-debuginfo
    rofi-debuginfo(x86-64)



Source checksums
----------------
https://github.com/DaveDavenport/rofi/releases/download/1.3.1/rofi-1.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : da61d2da7e5f4f354da2bfb50ec06b0613d6aba6cf09346a86177f3351db2326
  CHECKSUM(SHA256) upstream package : da61d2da7e5f4f354da2bfb50ec06b0613d6aba6cf09346a86177f3351db2326


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1396761
Buildroot used: fedora-24-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Till Hofmann 2017-11-05 17:11:18 UTC
Is this still active? I just submitted #1509679 without realizing that there was already a review request for rofi.

If it's still active, I'll close mine in favor of yours.

Comment 9 Igor Gnatenko 2017-11-05 19:00:15 UTC
> - The guidelines now seemt to require an outline for the licenses
Will add.

> - The checks are ignored instead and the upstream bug is closed
While I agree running check is good, I don't really have time to work on it now..

> - The timestamps of the files modified in %prep are not preserved
I don't think this is really issue, no one preserves timestamps unfortunately.

> If it's still active, I'll close mine in favor of yours.
I would like to get it finally done. So now I promise that I will fix all issues next week!

Comment 10 Igor Gnatenko 2017-11-05 19:07:16 UTC
Or, rather, now. Working on it.

Comment 12 Igor Gnatenko 2017-11-05 19:26:10 UTC
*** Bug 1509679 has been marked as a duplicate of this bug. ***

Comment 13 Till Hofmann 2018-02-16 09:21:23 UTC
What's the status here? Till, are you still working on the review? I can help out with the review if you want. It would be nice to see rofi in Fedora :)

Comment 14 Till Maas 2018-02-21 10:55:02 UTC
Hey Till, thank you for your offer, please take it from here.

Comment 15 Till Hofmann 2018-02-21 11:14:26 UTC
You're missing BR: bison

Comment 16 Till Hofmann 2018-02-25 14:33:36 UTC
To be more elaborate, the build fails with:
> checking for bison... no
> checking for byacc... no
> BUILDSTDERR: configure: error: "Failed to find bison"

Comment 17 Till Maas 2018-05-24 20:32:04 UTC
Igor, would you please add the BR for bison?

Comment 18 Till Hofmann 2018-06-25 14:02:05 UTC
Igor, what's the status here?

I would submit another review request if you're no longer interested in / have time to packaging rofi.

Comment 19 Till Hofmann 2018-07-13 18:17:21 UTC
This review seems to be stalled.

@Igor, are you still interested in this package?

Comment 20 Viktor Ashirov 2018-11-01 14:57:02 UTC
I'd like to see rofi in Fedora someday. Igor, Till, any updates on this?

Comment 21 Till Hofmann 2018-11-01 19:11:23 UTC
I reopened https://bugzilla.redhat.com/show_bug.cgi?id=1509679


Note You need to log in before you can comment on or make changes to this bug.